.video-banner {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.video-background {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover;
    filter: brightness(0.6);
    z-index: 0;
}

.banner-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    z-index: 1;
    padding: 1rem;
}

.banner-title {
    font-weight: 700;
    font-size: 2.5rem;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.banner-subtitle {
    font-size: 1rem;
    margin-bottom: 2rem;
    max-width: 800px;
}

.banner-btn {
    padding: 12px 30px;
    font-size: 1.2rem;
    border-radius: 50px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    transition: all 0.3s ease;
}

.banner-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.4);
}

.pattern-7 .banner-content {
    background: rgba(0, 0, 0, 0.7);
    clip-path: polygon(0 0, 100% 0, 100% 50%, 0 100%);
}


@media (max-width: 1048px) {
    .banner-title {
        font-size: 2.2rem;
    }
    
    .banner-subtitle {
        font-size: 0.9rem;
    }
    
    .banner-btn {
        padding: 10px 25px;
        font-size: 1rem;
    }
}

@media (max-width: 768px) {
    .banner-title {
        font-size: 2.2rem;
    }
    
    .banner-subtitle {
        font-size: 0.9rem;
    }
    
    .banner-btn {
        padding: 10px 25px;
        font-size: 1rem;
    }
    .pattern-7 .banner-content {
        clip-path: polygon(0 0, 100% 0, 100% 60%, 0 100%);
    }
}

@media (max-width: 500px) {
    .banner-title {
        font-size: 1.5rem;
        line-height: 1.4;
        padding: 0 10px;
    }
    
    .banner-subtitle {
        font-size: 0.75rem;
        line-height: 1.4;
        padding: 0 10px;
        max-width: 100%;
    }
    
    .banner-btn {
        padding: 8px 12px;
        font-size: 0.75rem !important;
    }

    .banner-content {
        padding: 1rem 0.5rem;
    }
    .pattern-7 .banner-content {
        clip-path: polygon(0 0, 100% 0, 100% 70%, 0 100%);
        background: rgba(0, 0, 0, 0.8); /* Slightly darker for clarity */
    }
}
